const { shell, contextBridge, ipcRenderer } = require("electron")

contextBridge.executeInMainWorld("system", {
    openInBrowser: (url) => shell.openExternal(url),
    call: (method, args) => ipcRenderer.send("call", { method, args })
})